# ApplicationLoadBalancersApi

## ApplicationLoadBalancersApi

All URIs are relative to *<https://api.ionos.com/cloudapi/v6>*

| Method                                                                                                                                                                         | HTTP request                                                                                                                   | Description                                         |
| ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------------------ | --------------------------------------------------- |
| [**datacenters\_applicationloadbalancers\_delete**](#datacenters_applicationloadbalancers_delete)                                                                              | **DELETE** /datacenters/{datacenterId}/applicationloadbalancers/{applicationLoadBalancerId}                                    | Delete an Application Load Balancer by ID           |
| [**datacenters\_applicationloadbalancers\_find\_by\_application\_load\_balancer\_id**](#datacenters_applicationloadbalancers_find_by_application_load_balancer_id)             | **GET** /datacenters/{datacenterId}/applicationloadbalancers/{applicationLoadBalancerId}                                       | Get an Application Load Balancer by ID              |
| [**datacenters\_applicationloadbalancers\_flowlogs\_delete**](#datacenters_applicationloadbalancers_flowlogs_delete)                                                           | **DELETE** /datacenters/{datacenterId}/applicationloadbalancers/{applicationLoadBalancerId}/flowlogs/{flowLogId}               | Delete an ALB Flow Log by ID                        |
| [**datacenters\_applicationloadbalancers\_flowlogs\_find\_by\_flow\_log\_id**](#datacenters_applicationloadbalancers_flowlogs_find_by_flow_log_id)                             | **GET** /datacenters/{datacenterId}/applicationloadbalancers/{applicationLoadBalancerId}/flowlogs/{flowLogId}                  | Get an ALB Flow Log by ID                           |
| [**datacenters\_applicationloadbalancers\_flowlogs\_get**](#datacenters_applicationloadbalancers_flowlogs_get)                                                                 | **GET** /datacenters/{datacenterId}/applicationloadbalancers/{applicationLoadBalancerId}/flowlogs                              | Get ALB Flow Logs                                   |
| [**datacenters\_applicationloadbalancers\_flowlogs\_patch**](#datacenters_applicationloadbalancers_flowlogs_patch)                                                             | **PATCH** /datacenters/{datacenterId}/applicationloadbalancers/{applicationLoadBalancerId}/flowlogs/{flowLogId}                | Partially Modify an ALB Flow Log by ID              |
| [**datacenters\_applicationloadbalancers\_flowlogs\_post**](#datacenters_applicationloadbalancers_flowlogs_post)                                                               | **POST** /datacenters/{datacenterId}/applicationloadbalancers/{applicationLoadBalancerId}/flowlogs                             | Create an ALB Flow Log                              |
| [**datacenters\_applicationloadbalancers\_flowlogs\_put**](#datacenters_applicationloadbalancers_flowlogs_put)                                                                 | **PUT** /datacenters/{datacenterId}/applicationloadbalancers/{applicationLoadBalancerId}/flowlogs/{flowLogId}                  | Modify an ALB Flow Log by ID                        |
| [**datacenters\_applicationloadbalancers\_forwardingrules\_delete**](#datacenters_applicationloadbalancers_forwardingrules_delete)                                             | **DELETE** /datacenters/{datacenterId}/applicationloadbalancers/{applicationLoadBalancerId}/forwardingrules/{forwardingRuleId} | Delete an ALB Forwarding Rule by ID                 |
| [**datacenters\_applicationloadbalancers\_forwardingrules\_find\_by\_forwarding\_rule\_id**](#datacenters_applicationloadbalancers_forwardingrules_find_by_forwarding_rule_id) | **GET** /datacenters/{datacenterId}/applicationloadbalancers/{applicationLoadBalancerId}/forwardingrules/{forwardingRuleId}    | Get an ALB Forwarding Rule by ID                    |
| [**datacenters\_applicationloadbalancers\_forwardingrules\_get**](#datacenters_applicationloadbalancers_forwardingrules_get)                                                   | **GET** /datacenters/{datacenterId}/applicationloadbalancers/{applicationLoadBalancerId}/forwardingrules                       | Get ALB Forwarding Rules                            |
| [**datacenters\_applicationloadbalancers\_forwardingrules\_patch**](#datacenters_applicationloadbalancers_forwardingrules_patch)                                               | **PATCH** /datacenters/{datacenterId}/applicationloadbalancers/{applicationLoadBalancerId}/forwardingrules/{forwardingRuleId}  | Partially modify an ALB Forwarding Rule by ID       |
| [**datacenters\_applicationloadbalancers\_forwardingrules\_post**](#datacenters_applicationloadbalancers_forwardingrules_post)                                                 | **POST** /datacenters/{datacenterId}/applicationloadbalancers/{applicationLoadBalancerId}/forwardingrules                      | Create an ALB Forwarding Rule                       |
| [**datacenters\_applicationloadbalancers\_forwardingrules\_put**](#datacenters_applicationloadbalancers_forwardingrules_put)                                                   | **PUT** /datacenters/{datacenterId}/applicationloadbalancers/{applicationLoadBalancerId}/forwardingrules/{forwardingRuleId}    | Modify an ALB Forwarding Rule by ID                 |
| [**datacenters\_applicationloadbalancers\_get**](#datacenters_applicationloadbalancers_get)                                                                                    | **GET** /datacenters/{datacenterId}/applicationloadbalancers                                                                   | Get Application Load Balancers                      |
| [**datacenters\_applicationloadbalancers\_patch**](#datacenters_applicationloadbalancers_patch)                                                                                | **PATCH** /datacenters/{datacenterId}/applicationloadbalancers/{applicationLoadBalancerId}                                     | Partially Modify an Application Load Balancer by ID |
| [**datacenters\_applicationloadbalancers\_post**](#datacenters_applicationloadbalancers_post)                                                                                  | **POST** /datacenters/{datacenterId}/applicationloadbalancers                                                                  | Create an Application Load Balancer                 |
| [**datacenters\_applicationloadbalancers\_put**](#datacenters_applicationloadbalancers_put)                                                                                    | **PUT** /datacenters/{datacenterId}/applicationloadbalancers/{applicationLoadBalancerId}                                       | Modify an Application Load Balancer by ID           |

## **datacenters\_applicationloadbalancers\_delete**

> datacenters\_applicationloadbalancers\_delete(datacenter\_id, application\_load\_balancer\_id, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Delete an Application Load Balancer by ID

Removes the specified Application Load Balancer from the data center.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.ApplicationLoadBalancersApi(api_client)
    datacenter_id = 'datacenter_id_example' # str | The unique ID of the data center.
    application_load_balancer_id = 'application_load_balancer_id_example' # str | The unique ID of the Application Load Balancer.
    try:
        # Delete an Application Load Balancer by ID
        api_instance.datacenters_applicationloadbalancers_delete(datacenter_id, application_load_balancer_id)
    except ApiException as e:
        print('Exception when calling ApplicationLoadBalancersApi.datacenters_applicationloadbalancers_delete: %s\n' % e)
```

#### Parameters

| Name                                | Type     | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ----------------------------------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **datacenter\_id**                  | **str**  | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                        |                                |
| **application\_load\_balancer\_id** | **str**  | The unique ID of the Application Load Balancer.                                                                                                                                                                                                                                                                                                                                                                                          |                                |
| **pretty**                          | **bool** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**                           | **int**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number**             | **int**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

void (empty response body)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **datacenters\_applicationloadbalancers\_find\_by\_application\_load\_balancer\_id**

> ApplicationLoadBalancer datacenters\_applicationloadbalancers\_find\_by\_application\_load\_balancer\_id(datacenter\_id, application\_load\_balancer\_id, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Get an Application Load Balancer by ID

Retrieves the properties of the specified Application Load Balancer within the data center.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.ApplicationLoadBalancersApi(api_client)
    datacenter_id = 'datacenter_id_example' # str | The unique ID of the data center.
    application_load_balancer_id = 'application_load_balancer_id_example' # str | The unique ID of the Application Load Balancer.
    try:
        # Get an Application Load Balancer by ID
        api_response = api_instance.datacenters_applicationloadbalancers_find_by_application_load_balancer_id(datacenter_id, application_load_balancer_id)
        print(api_response)
    except ApiException as e:
        print('Exception when calling ApplicationLoadBalancersApi.datacenters_applicationloadbalancers_find_by_application_load_balancer_id: %s\n' % e)
```

#### Parameters

| Name                                | Type     | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ----------------------------------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **datacenter\_id**                  | **str**  | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                        |                                |
| **application\_load\_balancer\_id** | **str**  | The unique ID of the Application Load Balancer.                                                                                                                                                                                                                                                                                                                                                                                          |                                |
| **pretty**                          | **bool** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**                           | **int**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number**             | **int**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

[**ApplicationLoadBalancer**](https://docs.ionos.com/sections-test/python-sdk/cloud-api-python-sdk/models/applicationloadbalancer)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **datacenters\_applicationloadbalancers\_flowlogs\_delete**

> datacenters\_applicationloadbalancers\_flowlogs\_delete(datacenter\_id, application\_load\_balancer\_id, flow\_log\_id, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Delete an ALB Flow Log by ID

Deletes the Application Load Balancer flow log specified by its ID.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.ApplicationLoadBalancersApi(api_client)
    datacenter_id = 'datacenter_id_example' # str | The unique ID of the data center.
    application_load_balancer_id = 'application_load_balancer_id_example' # str | The unique ID of the Application Load Balancer.
    flow_log_id = 'flow_log_id_example' # str | The unique ID of the flow log.
    try:
        # Delete an ALB Flow Log by ID
        api_instance.datacenters_applicationloadbalancers_flowlogs_delete(datacenter_id, application_load_balancer_id, flow_log_id)
    except ApiException as e:
        print('Exception when calling ApplicationLoadBalancersApi.datacenters_applicationloadbalancers_flowlogs_delete: %s\n' % e)
```

#### Parameters

| Name                                | Type     | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ----------------------------------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **datacenter\_id**                  | **str**  | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                        |                                |
| **application\_load\_balancer\_id** | **str**  | The unique ID of the Application Load Balancer.                                                                                                                                                                                                                                                                                                                                                                                          |                                |
| **flow\_log\_id**                   | **str**  | The unique ID of the flow log.                                                                                                                                                                                                                                                                                                                                                                                                           |                                |
| **pretty**                          | **bool** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**                           | **int**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number**             | **int**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

void (empty response body)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **datacenters\_applicationloadbalancers\_flowlogs\_find\_by\_flow\_log\_id**

> FlowLog datacenters\_applicationloadbalancers\_flowlogs\_find\_by\_flow\_log\_id(datacenter\_id, application\_load\_balancer\_id, flow\_log\_id, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Get an ALB Flow Log by ID

Retrieves the Application Load Balancer flow log specified by its ID.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.ApplicationLoadBalancersApi(api_client)
    datacenter_id = 'datacenter_id_example' # str | The unique ID of the data center.
    application_load_balancer_id = 'application_load_balancer_id_example' # str | The unique ID of the Application Load Balancer.
    flow_log_id = 'flow_log_id_example' # str | The unique ID of the flow log.
    try:
        # Get an ALB Flow Log by ID
        api_response = api_instance.datacenters_applicationloadbalancers_flowlogs_find_by_flow_log_id(datacenter_id, application_load_balancer_id, flow_log_id)
        print(api_response)
    except ApiException as e:
        print('Exception when calling ApplicationLoadBalancersApi.datacenters_applicationloadbalancers_flowlogs_find_by_flow_log_id: %s\n' % e)
```

#### Parameters

| Name                                | Type     | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ----------------------------------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **datacenter\_id**                  | **str**  | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                        |                                |
| **application\_load\_balancer\_id** | **str**  | The unique ID of the Application Load Balancer.                                                                                                                                                                                                                                                                                                                                                                                          |                                |
| **flow\_log\_id**                   | **str**  | The unique ID of the flow log.                                                                                                                                                                                                                                                                                                                                                                                                           |                                |
| **pretty**                          | **bool** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**                           | **int**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number**             | **int**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

[**FlowLog**](https://docs.ionos.com/sections-test/python-sdk/cloud-api-python-sdk/models/flowlog)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **datacenters\_applicationloadbalancers\_flowlogs\_get**

> FlowLogs datacenters\_applicationloadbalancers\_flowlogs\_get(datacenter\_id, application\_load\_balancer\_id, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Get ALB Flow Logs

Retrieves the flow logs for the specified Application Load Balancer.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.ApplicationLoadBalancersApi(api_client)
    datacenter_id = 'datacenter_id_example' # str | The unique ID of the data center.
    application_load_balancer_id = 'application_load_balancer_id_example' # str | The unique ID of the Application Load Balancer.
    try:
        # Get ALB Flow Logs
        api_response = api_instance.datacenters_applicationloadbalancers_flowlogs_get(datacenter_id, application_load_balancer_id)
        print(api_response)
    except ApiException as e:
        print('Exception when calling ApplicationLoadBalancersApi.datacenters_applicationloadbalancers_flowlogs_get: %s\n' % e)
```

#### Parameters

| Name                                | Type     | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ----------------------------------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **datacenter\_id**                  | **str**  | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                        |                                |
| **application\_load\_balancer\_id** | **str**  | The unique ID of the Application Load Balancer.                                                                                                                                                                                                                                                                                                                                                                                          |                                |
| **pretty**                          | **bool** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**                           | **int**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number**             | **int**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

[**FlowLogs**](https://docs.ionos.com/sections-test/python-sdk/cloud-api-python-sdk/models/flowlogs)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **datacenters\_applicationloadbalancers\_flowlogs\_patch**

> FlowLog datacenters\_applicationloadbalancers\_flowlogs\_patch(datacenter\_id, application\_load\_balancer\_id, flow\_log\_id, application\_load\_balancer\_flow\_log\_properties, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Partially Modify an ALB Flow Log by ID

Updates the properties of the Application Load Balancer flow log specified by its ID.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.ApplicationLoadBalancersApi(api_client)
    datacenter_id = 'datacenter_id_example' # str | The unique ID of the data center.
    application_load_balancer_id = 'application_load_balancer_id_example' # str | The unique ID of the Application Load Balancer.
    flow_log_id = 'flow_log_id_example' # str | The unique ID of the flow log.
    application_load_balancer_flow_log_properties = ionoscloud.FlowLogProperties() # FlowLogProperties | The properties of the ALB flow log to be updated.
    try:
        # Partially Modify an ALB Flow Log by ID
        api_response = api_instance.datacenters_applicationloadbalancers_flowlogs_patch(datacenter_id, application_load_balancer_id, flow_log_id, application_load_balancer_flow_log_properties)
        print(api_response)
    except ApiException as e:
        print('Exception when calling ApplicationLoadBalancersApi.datacenters_applicationloadbalancers_flowlogs_patch: %s\n' % e)
```

#### Parameters

| Name                                                   | Type                                                                                                                   | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ------------------------------------------------------ | ---------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **datacenter\_id**                                     | **str**                                                                                                                | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                        |                                |
| **application\_load\_balancer\_id**                    | **str**                                                                                                                | The unique ID of the Application Load Balancer.                                                                                                                                                                                                                                                                                                                                                                                          |                                |
| **flow\_log\_id**                                      | **str**                                                                                                                | The unique ID of the flow log.                                                                                                                                                                                                                                                                                                                                                                                                           |                                |
| **application\_load\_balancer\_flow\_log\_properties** | [**FlowLogProperties**](https://docs.ionos.com/sections-test/python-sdk/cloud-api-python-sdk/models/flowlogproperties) | The properties of the ALB flow log to be updated.                                                                                                                                                                                                                                                                                                                                                                                        |                                |
| **pretty**                                             | **bool**                                                                                                               | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**                                              | **int**                                                                                                                | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number**                                | **int**                                                                                                                | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

[**FlowLog**](https://docs.ionos.com/sections-test/python-sdk/cloud-api-python-sdk/models/flowlog)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **datacenters\_applicationloadbalancers\_flowlogs\_post**

> FlowLog datacenters\_applicationloadbalancers\_flowlogs\_post(datacenter\_id, application\_load\_balancer\_id, application\_load\_balancer\_flow\_log, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Create an ALB Flow Log

Creates a flow log for the Application Load Balancer specified by ID.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.ApplicationLoadBalancersApi(api_client)
    datacenter_id = 'datacenter_id_example' # str | The unique ID of the data center.
    application_load_balancer_id = 'application_load_balancer_id_example' # str | The unique ID of the Application Load Balancer.
    application_load_balancer_flow_log = ionoscloud.FlowLog() # FlowLog | The flow log to create.
    try:
        # Create an ALB Flow Log
        api_response = api_instance.datacenters_applicationloadbalancers_flowlogs_post(datacenter_id, application_load_balancer_id, application_load_balancer_flow_log)
        print(api_response)
    except ApiException as e:
        print('Exception when calling ApplicationLoadBalancersApi.datacenters_applicationloadbalancers_flowlogs_post: %s\n' % e)
```

#### Parameters

| Name                                       | Type                                                                                               | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ------------------------------------------ | -------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **datacenter\_id**                         | **str**                                                                                            | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                        |                                |
| **application\_load\_balancer\_id**        | **str**                                                                                            | The unique ID of the Application Load Balancer.                                                                                                                                                                                                                                                                                                                                                                                          |                                |
| **application\_load\_balancer\_flow\_log** | [**FlowLog**](https://docs.ionos.com/sections-test/python-sdk/cloud-api-python-sdk/models/flowlog) | The flow log to create.                                                                                                                                                                                                                                                                                                                                                                                                                  |                                |
| **pretty**                                 | **bool**                                                                                           | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**                                  | **int**                                                                                            | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number**                    | **int**                                                                                            | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

[**FlowLog**](https://docs.ionos.com/sections-test/python-sdk/cloud-api-python-sdk/models/flowlog)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: application/json
* **Accept**: application/json

## **datacenters\_applicationloadbalancers\_flowlogs\_put**

> FlowLog datacenters\_applicationloadbalancers\_flowlogs\_put(datacenter\_id, application\_load\_balancer\_id, flow\_log\_id, application\_load\_balancer\_flow\_log, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Modify an ALB Flow Log by ID

Modifies the Application Load Balancer flow log specified by its ID.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.ApplicationLoadBalancersApi(api_client)
    datacenter_id = 'datacenter_id_example' # str | The unique ID of the data center.
    application_load_balancer_id = 'application_load_balancer_id_example' # str | The unique ID of the Application Load Balancer.
    flow_log_id = 'flow_log_id_example' # str | The unique ID of the flow log.
    application_load_balancer_flow_log = ionoscloud.FlowLogPut() # FlowLogPut | The modified ALB flow log.
    try:
        # Modify an ALB Flow Log by ID
        api_response = api_instance.datacenters_applicationloadbalancers_flowlogs_put(datacenter_id, application_load_balancer_id, flow_log_id, application_load_balancer_flow_log)
        print(api_response)
    except ApiException as e:
        print('Exception when calling ApplicationLoadBalancersApi.datacenters_applicationloadbalancers_flowlogs_put: %s\n' % e)
```

#### Parameters

| Name                                       | Type                                                                                                     | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ------------------------------------------ | -------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **datacenter\_id**                         | **str**                                                                                                  | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                        |                                |
| **application\_load\_balancer\_id**        | **str**                                                                                                  | The unique ID of the Application Load Balancer.                                                                                                                                                                                                                                                                                                                                                                                          |                                |
| **flow\_log\_id**                          | **str**                                                                                                  | The unique ID of the flow log.                                                                                                                                                                                                                                                                                                                                                                                                           |                                |
| **application\_load\_balancer\_flow\_log** | [**FlowLogPut**](https://docs.ionos.com/sections-test/python-sdk/cloud-api-python-sdk/models/flowlogput) | The modified ALB flow log.                                                                                                                                                                                                                                                                                                                                                                                                               |                                |
| **pretty**                                 | **bool**                                                                                                 | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**                                  | **int**                                                                                                  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number**                    | **int**                                                                                                  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

[**FlowLog**](https://docs.ionos.com/sections-test/python-sdk/cloud-api-python-sdk/models/flowlog)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: application/json
* **Accept**: application/json

## **datacenters\_applicationloadbalancers\_forwardingrules\_delete**

> datacenters\_applicationloadbalancers\_forwardingrules\_delete(datacenter\_id, application\_load\_balancer\_id, forwarding\_rule\_id, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Delete an ALB Forwarding Rule by ID

Deletes the Application Load Balancer forwarding rule specified by its ID.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.ApplicationLoadBalancersApi(api_client)
    datacenter_id = 'datacenter_id_example' # str | The unique ID of the data center.
    application_load_balancer_id = 'application_load_balancer_id_example' # str | The unique ID of the Application Load Balancer.
    forwarding_rule_id = 'forwarding_rule_id_example' # str | The unique ID of the forwarding rule.
    try:
        # Delete an ALB Forwarding Rule by ID
        api_instance.datacenters_applicationloadbalancers_forwardingrules_delete(datacenter_id, application_load_balancer_id, forwarding_rule_id)
    except ApiException as e:
        print('Exception when calling ApplicationLoadBalancersApi.datacenters_applicationloadbalancers_forwardingrules_delete: %s\n' % e)
```

#### Parameters

| Name                                | Type     | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ----------------------------------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **datacenter\_id**                  | **str**  | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                        |                                |
| **application\_load\_balancer\_id** | **str**  | The unique ID of the Application Load Balancer.                                                                                                                                                                                                                                                                                                                                                                                          |                                |
| **forwarding\_rule\_id**            | **str**  | The unique ID of the forwarding rule.                                                                                                                                                                                                                                                                                                                                                                                                    |                                |
| **pretty**                          | **bool** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**                           | **int**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number**             | **int**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

void (empty response body)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **datacenters\_applicationloadbalancers\_forwardingrules\_find\_by\_forwarding\_rule\_id**

> ApplicationLoadBalancerForwardingRule datacenters\_applicationloadbalancers\_forwardingrules\_find\_by\_forwarding\_rule\_id(datacenter\_id, application\_load\_balancer\_id, forwarding\_rule\_id, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Get an ALB Forwarding Rule by ID

Retrieves the Application Load Balancer forwarding rule specified by its ID.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.ApplicationLoadBalancersApi(api_client)
    datacenter_id = 'datacenter_id_example' # str | The unique ID of the data center.
    application_load_balancer_id = 'application_load_balancer_id_example' # str | The unique ID of the Application Load Balancer.
    forwarding_rule_id = 'forwarding_rule_id_example' # str | The unique ID of the forwarding rule.
    try:
        # Get an ALB Forwarding Rule by ID
        api_response = api_instance.datacenters_applicationloadbalancers_forwardingrules_find_by_forwarding_rule_id(datacenter_id, application_load_balancer_id, forwarding_rule_id)
        print(api_response)
    except ApiException as e:
        print('Exception when calling ApplicationLoadBalancersApi.datacenters_applicationloadbalancers_forwardingrules_find_by_forwarding_rule_id: %s\n' % e)
```

#### Parameters

| Name                                | Type     | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ----------------------------------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **datacenter\_id**                  | **str**  | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                        |                                |
| **application\_load\_balancer\_id** | **str**  | The unique ID of the Application Load Balancer.                                                                                                                                                                                                                                                                                                                                                                                          |                                |
| **forwarding\_rule\_id**            | **str**  | The unique ID of the forwarding rule.                                                                                                                                                                                                                                                                                                                                                                                                    |                                |
| **pretty**                          | **bool** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**                           | **int**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number**             | **int**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

[**ApplicationLoadBalancerForwardingRule**](https://docs.ionos.com/sections-test/python-sdk/cloud-api-python-sdk/models/applicationloadbalancerforwardingrule)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **datacenters\_applicationloadbalancers\_forwardingrules\_get**

> ApplicationLoadBalancerForwardingRules datacenters\_applicationloadbalancers\_forwardingrules\_get(datacenter\_id, application\_load\_balancer\_id, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Get ALB Forwarding Rules

Lists the forwarding rules of the specified Application Load Balancer.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.ApplicationLoadBalancersApi(api_client)
    datacenter_id = 'datacenter_id_example' # str | The unique ID of the data center.
    application_load_balancer_id = 'application_load_balancer_id_example' # str | The unique ID of the Application Load Balancer.
    try:
        # Get ALB Forwarding Rules
        api_response = api_instance.datacenters_applicationloadbalancers_forwardingrules_get(datacenter_id, application_load_balancer_id)
        print(api_response)
    except ApiException as e:
        print('Exception when calling ApplicationLoadBalancersApi.datacenters_applicationloadbalancers_forwardingrules_get: %s\n' % e)
```

#### Parameters

| Name                                | Type     | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ----------------------------------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **datacenter\_id**                  | **str**  | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                        |                                |
| **application\_load\_balancer\_id** | **str**  | The unique ID of the Application Load Balancer.                                                                                                                                                                                                                                                                                                                                                                                          |                                |
| **pretty**                          | **bool** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**                           | **int**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number**             | **int**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

[**ApplicationLoadBalancerForwardingRules**](https://docs.ionos.com/sections-test/python-sdk/cloud-api-python-sdk/models/applicationloadbalancerforwardingrules)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **datacenters\_applicationloadbalancers\_forwardingrules\_patch**

> ApplicationLoadBalancerForwardingRule datacenters\_applicationloadbalancers\_forwardingrules\_patch(datacenter\_id, application\_load\_balancer\_id, forwarding\_rule\_id, application\_load\_balancer\_forwarding\_rule\_properties, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Partially modify an ALB Forwarding Rule by ID

Updates the properties of the Application Load Balancer forwarding rule specified by its ID.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.ApplicationLoadBalancersApi(api_client)
    datacenter_id = 'datacenter_id_example' # str | The unique ID of the data center.
    application_load_balancer_id = 'application_load_balancer_id_example' # str | The unique ID of the Application Load Balancer.
    forwarding_rule_id = 'forwarding_rule_id_example' # str | The unique ID of the forwarding rule.
    application_load_balancer_forwarding_rule_properties = ionoscloud.ApplicationLoadBalancerForwardingRuleProperties() # ApplicationLoadBalancerForwardingRuleProperties | The properties of the forwarding rule to be updated.
    try:
        # Partially modify an ALB Forwarding Rule by ID
        api_response = api_instance.datacenters_applicationloadbalancers_forwardingrules_patch(datacenter_id, application_load_balancer_id, forwarding_rule_id, application_load_balancer_forwarding_rule_properties)
        print(api_response)
    except ApiException as e:
        print('Exception when calling ApplicationLoadBalancersApi.datacenters_applicationloadbalancers_forwardingrules_patch: %s\n' % e)
```

#### Parameters

| Name                                                          | Type                                                                                                                                                                               | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **datacenter\_id**                                            | **str**                                                                                                                                                                            | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                        |                                |
| **application\_load\_balancer\_id**                           | **str**                                                                                                                                                                            | The unique ID of the Application Load Balancer.                                                                                                                                                                                                                                                                                                                                                                                          |                                |
| **forwarding\_rule\_id**                                      | **str**                                                                                                                                                                            | The unique ID of the forwarding rule.                                                                                                                                                                                                                                                                                                                                                                                                    |                                |
| **application\_load\_balancer\_forwarding\_rule\_properties** | [**ApplicationLoadBalancerForwardingRuleProperties**](https://docs.ionos.com/sections-test/python-sdk/cloud-api-python-sdk/models/applicationloadbalancerforwardingruleproperties) | The properties of the forwarding rule to be updated.                                                                                                                                                                                                                                                                                                                                                                                     |                                |
| **pretty**                                                    | **bool**                                                                                                                                                                           | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**                                                     | **int**                                                                                                                                                                            | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number**                                       | **int**                                                                                                                                                                            | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

[**ApplicationLoadBalancerForwardingRule**](https://docs.ionos.com/sections-test/python-sdk/cloud-api-python-sdk/models/applicationloadbalancerforwardingrule)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## **datacenters\_applicationloadbalancers\_forwardingrules\_post**

> ApplicationLoadBalancerForwardingRule datacenters\_applicationloadbalancers\_forwardingrules\_post(datacenter\_id, application\_load\_balancer\_id, application\_load\_balancer\_forwarding\_rule, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Create an ALB Forwarding Rule

Creates a forwarding rule for the specified Application Load Balancer.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.ApplicationLoadBalancersApi(api_client)
    datacenter_id = 'datacenter_id_example' # str | The unique ID of the data center.
    application_load_balancer_id = 'application_load_balancer_id_example' # str | The unique ID of the Application Load Balancer.
    application_load_balancer_forwarding_rule = ionoscloud.ApplicationLoadBalancerForwardingRule() # ApplicationLoadBalancerForwardingRule | The forwarding rule to create.
    try:
        # Create an ALB Forwarding Rule
        api_response = api_instance.datacenters_applicationloadbalancers_forwardingrules_post(datacenter_id, application_load_balancer_id, application_load_balancer_forwarding_rule)
        print(api_response)
    except ApiException as e:
        print('Exception when calling ApplicationLoadBalancersApi.datacenters_applicationloadbalancers_forwardingrules_post: %s\n' % e)
```

#### Parameters

| Name                                              | Type                                                                                                                                                           | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **datacenter\_id**                                | **str**                                                                                                                                                        | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                        |                                |
| **application\_load\_balancer\_id**               | **str**                                                                                                                                                        | The unique ID of the Application Load Balancer.                                                                                                                                                                                                                                                                                                                                                                                          |                                |
| **application\_load\_balancer\_forwarding\_rule** | [**ApplicationLoadBalancerForwardingRule**](https://docs.ionos.com/sections-test/python-sdk/cloud-api-python-sdk/models/applicationloadbalancerforwardingrule) | The forwarding rule to create.                                                                                                                                                                                                                                                                                                                                                                                                           |                                |
| **pretty**                                        | **bool**                                                                                                                                                       | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**                                         | **int**                                                                                                                                                        | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
| **x\_contract\_number**                           | **int**                                                                                                                                                        | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                    |

#### Return type

[**ApplicationLoadBalancerForwardingRule**](https://docs.ionos.com/sections-test/python-sdk/cloud-api-python-sdk/models/applicationloadbalancerforwardingrule)

#### Authorization

Basic Authentication, Token Authentication

#### HTTP request headers

* **Content-Type**: application/json
* **Accept**: application/json

## **datacenters\_applicationloadbalancers\_forwardingrules\_put**

> ApplicationLoadBalancerForwardingRule datacenters\_applicationloadbalancers\_forwardingrules\_put(datacenter\_id, application\_load\_balancer\_id, forwarding\_rule\_id, application\_load\_balancer\_forwarding\_rule, pretty=pretty, depth=depth, x\_contract\_number=x\_contract\_number)

Modify an ALB Forwarding Rule by ID

Modifies the Application Load Balancer forwarding rule specified by its ID.

#### Example

```python
from __future__ import print_function
import time
import ionoscloud
from ionoscloud.rest import ApiException

# Defining the host is optional and defaults to https://api.ionos.com/cloudapi/v6
configuration = ionoscloud.Configuration(
    host = 'https://api.ionos.com/cloudapi/v6',
)

# Example of configuring HTTP Basic Authorization
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

with ionoscloud.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ionoscloud.ApplicationLoadBalancersApi(api_client)
    datacenter_id = 'datacenter_id_example' # str | The unique ID of the data center.
    application_load_balancer_id = 'application_load_balancer_id_example' # str | The unique ID of the Application Load Balancer.
    forwarding_rule_id = 'forwarding_rule_id_example' # str | The unique ID of the forwarding rule.
    application_load_balancer_forwarding_rule = ionoscloud.ApplicationLoadBalancerForwardingRulePut() # ApplicationLoadBalancerForwardingRulePut | The modified ALB forwarding rule.
    try:
        # Modify an ALB Forwarding Rule by ID
        api_response = api_instance.datacenters_applicationloadbalancers_forwardingrules_put(datacenter_id, application_load_balancer_id, forwarding_rule_id, application_load_balancer_forwarding_rule)
        print(api_response)
    except ApiException as e:
        print('Exception when calling ApplicationLoadBalancersApi.datacenters_applicationloadbalancers_forwardingrules_put: %s\n' % e)
```

#### Parameters

| Name                                              | Type                                                                                                                                                                 | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                          |
| ------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **datacenter\_id**                                | **str**                                                                                                                                                              | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                        |                                |
| **application\_load\_balancer\_id**               | **str**                                                                                                                                                              | The unique ID of the Application Load Balancer.                                                                                                                                                                                                                                                                                                                                                                                          |                                |
| **forwarding\_rule\_id**                          | **str**                                                                                                                                                              | The unique ID of the forwarding rule.                                                                                                                                                                                                                                                                                                                                                                                                    |                                |
| **application\_load\_balancer\_forwarding\_rule** | [**ApplicationLoadBalancerForwardingRulePut**](https://docs.ionos.com/sections-test/python-sdk/cloud-api-python-sdk/models/applicationloadbalancerforwardingruleput) | The modified ALB forwarding rule.                                                                                                                                                                                                                                                                                                                                                                                                        |                                |
| **pretty**                                        | **bool**                                                                                                                                                             | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional] \[default to True] |
| **depth**                                         | **int**                                                                                                                                                              | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional] \[default to 0]    |
[...]
